# H501_AddressTemplate Class Reference

`#include <h501.h>`

Inheritance diagram for H501_AddressTemplate:

List of all members.

## Public Types

enum | OptionalFields { e_supportedProtocols, e_featureSet }

## Public Member Functions

| H501_AddressTemplate (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H501_ArrayOf_Pattern | m_pattern
H501_ArrayOf_RouteInformation | m_routeInfo
PASN_Integer | m_timeToLive
H501_ArrayOf_SupportedProtocols | m_supportedProtocols
H225_FeatureSet | m_featureSet

## Member Enumeration Documentation

enum H501_AddressTemplate::OptionalFields

Enumerator:

  e_supportedProtocols |
  e_featureSet |

## Constructor & Destructor Documentation

H501_AddressTemplate::H501_AddressTemplate | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H501_AddressTemplate::GetDataLength | ( |  | ) | const

PBoolean H501_AddressTemplate::Decode | ( | PASN_Stream & | strm | ) |

void H501_AddressTemplate::Encode | ( | PASN_Stream & | strm | ) | const

void H501_AddressTemplate::PrintOn | ( | ostream & | strm | ) | const

Comparison H501_AddressTemplate::Compare | ( | const PObject & | obj | ) | const

PObject* H501_AddressTemplate::Clone | ( |  | ) | const

## Member Data Documentation

H501_ArrayOf_Pattern H501_AddressTemplate::m_pattern

H501_ArrayOf_RouteInformation H501_AddressTemplate::m_routeInfo

PASN_Integer H501_AddressTemplate::m_timeToLive

H501_ArrayOf_SupportedProtocols H501_AddressTemplate::m_supportedProtocols

H225_FeatureSet H501_AddressTemplate::m_featureSet

The documentation for this class was generated from the following file:

- h501.h